Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.authentication
Interface IPlanetAuthenticatorMBean

All Superinterfaces:
  AuthenticationProviderMBean, AuthenticatorMBean, weblogic.descriptor.DescriptorBean, GroupMemberListerMBean, weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean, GroupReaderMBean, LDAPAuthenticatorMBean, LDAPServerMBean, ListerMBean, weblogic.security.providers.authentication.LoginExceptionPropagatorMBean, MemberGroupListerMBean, NameListerMBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface, UserPasswordEditorMBean, UserReaderMBean

public interface IPlanetAuthenticatorMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, LDAPAuthenticatorMBean

This MBean represents LDAP schema definitions for the iPlanet LDAP provider.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDynamicGroupNameAttribute()` The attribute of the dynamic LDAP group object that specifies the name of the group.
`String` | `getDynamicGroupObjectClass()` The LDAP object class that stores dynamic groups.
`String` | `getDynamicMemberURLAttribute()` The attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.
`String` | `getGroupFromNameFilter()` An LDAP search filter for finding a group given the name of the group.
`String` | `getStaticMemberDNAttribute()` The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.
`void` | `setDynamicGroupNameAttribute(String newValue)` The attribute of the dynamic LDAP group object that specifies the name of the group.
`void` | `setDynamicGroupObjectClass(String newValue)` The LDAP object class that stores dynamic groups.
`void` | `setDynamicMemberURLAttribute(String newValue)` The attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.
`void` | `setGroupFromNameFilter(String newValue)` An LDAP search filter for finding a group given the name of the group.
`void` | `setStaticMemberDNAttribute(String newValue)` The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.security.providers.authentication.LDAPAuthenticatorMBean
`getAllGroupsFilter, getAllUsersFilter, getDescription, getGroupBaseDN, getGroupMembershipSearching, getGroupSearchScope, getIgnoreDuplicateMembership, getMaxGroupMembershipSearchLevel, getProviderClassName, getStaticGroupDNsfromMemberDNFilter, getStaticGroupNameAttribute, getStaticGroupObjectClass, getUserBaseDN, getUserDynamicGroupDNAttribute, getUseRetrievedUserNameAsPrincipal, getUserFromNameFilter, getUserNameAttribute, getUserObjectClass, getUserSearchScope, getVersion, setAllGroupsFilter, setAllUsersFilter, setGroupBaseDN, setGroupMembershipSearching, setGroupSearchScope, setIgnoreDuplicateMembership, setMaxGroupMembershipSearchLevel, setStaticGroupDNsfromMemberDNFilter, setStaticGroupNameAttribute, setStaticGroupObjectClass, setUserBaseDN, setUserDynamicGroupDNAttribute, setUseRetrievedUserNameAsPrincipal, setUserFromNameFilter, setUserNameAttribute, setUserObjectClass, setUserSearchScope`

Methods inherited from interface weblogic.security.providers.authentication.LoginExceptionPropagatorMBean
`getPropagateCauseForLoginException, setPropagateCauseForLoginException`

Methods inherited from interface weblogic.management.security.authentication.AuthenticatorMBean
`getControlFlag, setControlFlag`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Methods inherited from interface weblogic.management.utils.LDAPServerMBean
`getCacheSize, getCacheTTL, getConnectionRetryLimit, getConnectTimeout, getHost, getParallelConnectDelay, getPort, getPrincipal, getResultsTimeLimit, isBindAnonymouslyOnReferrals, isCacheEnabled, isFollowReferrals, isSSLEnabled, setBindAnonymouslyOnReferrals, setCacheEnabled, setCacheSize, setCacheTTL, setConnectionRetryLimit, setConnectTimeout, setFollowReferrals, setHost, setParallelConnectDelay, setPort, setPrincipal, setResultsTimeLimit, setSSLEnabled`

Methods inherited from interface weblogic.management.security.authentication.UserReaderMBean
`getUserDescription, listUsers, userExists`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.security.authentication.GroupReaderMBean
`getGroupDescription, groupExists, isMember, listGroups`

Methods inherited from interface weblogic.management.security.authentication.GroupMemberListerMBean
`listGroupMembers`

Methods inherited from interface weblogic.management.security.authentication.MemberGroupListerMBean
`listMemberGroups`

Methods inherited from interface weblogic.management.security.authentication.UserPasswordEditorMBean
`changeUserPassword, resetUserPassword`

Methods inherited from interface weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean
`getEnableGroupMembershipLookupHierarchyCaching, getGroupHierarchyCacheTTL, getMaxGroupHierarchiesInCache, setEnableGroupMembershipLookupHierarchyCaching, setGroupHierarchyCacheTTL, setMaxGroupHierarchiesInCache`

Method Detail

### getDynamicGroupNameAttribute

    public String getDynamicGroupNameAttribute()

  The attribute of the dynamic LDAP group object that specifies the name of the group.

  Specified by:
    `getDynamicGroupNameAttribute` in interface `LDAPAuthenticatorMBean`
  Default value:
    "cn"
  A dynamic MBean attribute.
    false

### getDynamicGroupObjectClass

    public String getDynamicGroupObjectClass()

  The LDAP object class that stores dynamic groups.

  Specified by:
    `getDynamicGroupObjectClass` in interface `LDAPAuthenticatorMBean`
  Default value:
    "groupofURLs"
  A dynamic MBean attribute.
    false

### getDynamicMemberURLAttribute

    public String getDynamicMemberURLAttribute()

  The attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.

  Specified by:
    `getDynamicMemberURLAttribute` in interface `LDAPAuthenticatorMBean`
  Default value:
    "memberURL"
  A dynamic MBean attribute.
    false

### getGroupFromNameFilter

    public String getGroupFromNameFilter()

  An LDAP search filter for finding a group given the name of the group. If the attribute is not specified (that is, if the attribute is null or empty), a default search filter is created based on the group schema.

  Specified by:
    `getGroupFromNameFilter` in interface `LDAPAuthenticatorMBean`
  Default value:
    "(|(&(cn=%g)(objectclass=groupofUniqueNames))(&(cn=%g)(objectclass=groupOfURLs)))"
  A dynamic MBean attribute.
    false

### getStaticMemberDNAttribute

    public String getStaticMemberDNAttribute()

  The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.

  Specified by:
    `getStaticMemberDNAttribute` in interface `LDAPAuthenticatorMBean`
  Default value:
    "member"
  A dynamic MBean attribute.
    false

### setDynamicGroupNameAttribute

    public void setDynamicGroupNameAttribute(String newValue)
                                      throws InvalidAttributeValueException

  The attribute of the dynamic LDAP group object that specifies the name of the group.

  Specified by:
    `setDynamicGroupNameAttribute` in interface `LDAPAuthenticatorMBean`
  Parameters:
    `newValue` - - new value for attribute DynamicGroupNameAttribute
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "cn"
  A dynamic MBean attribute.
    false

### setDynamicGroupObjectClass

    public void setDynamicGroupObjectClass(String newValue)
                                    throws InvalidAttributeValueException

  The LDAP object class that stores dynamic groups.

  Specified by:
    `setDynamicGroupObjectClass` in interface `LDAPAuthenticatorMBean`
  Parameters:
    `newValue` - - new value for attribute DynamicGroupObjectClass
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "groupofURLs"
  A dynamic MBean attribute.
    false

### setDynamicMemberURLAttribute

    public void setDynamicMemberURLAttribute(String newValue)
                                      throws InvalidAttributeValueException

  The attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.

  Specified by:
    `setDynamicMemberURLAttribute` in interface `LDAPAuthenticatorMBean`
  Parameters:
    `newValue` - - new value for attribute DynamicMemberURLAttribute
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "memberURL"
  A dynamic MBean attribute.
    false

### setGroupFromNameFilter

    public void setGroupFromNameFilter(String newValue)
                                throws InvalidAttributeValueException

  An LDAP search filter for finding a group given the name of the group. If the attribute is not specified (that is, if the attribute is null or empty), a default search filter is created based on the group schema.

  Specified by:
    `setGroupFromNameFilter` in interface `LDAPAuthenticatorMBean`
  Parameters:
    `newValue` - - new value for attribute GroupFromNameFilter
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "(|(&(cn=%g)(objectclass=groupofUniqueNames))(&(cn=%g)(objectclass=groupOfURLs)))"
  A dynamic MBean attribute.
    false

### setStaticMemberDNAttribute

    public void setStaticMemberDNAttribute(String newValue)
                                    throws InvalidAttributeValueException

  The attribute of an LDAP static group object that specifies the distinguished names (DNs) of the members of the group.

  Specified by:
    `setStaticMemberDNAttribute` in interface `LDAPAuthenticatorMBean`
  Parameters:
    `newValue` - - new value for attribute StaticMemberDNAttribute
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "member"
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD